PUT /products/{id}

Update a product

Products

Description

Update an existing product. The authenticated user must own the merchant
that created the product. Requires the "merchant" feature flag.

Parameters

id integer path required
Product ID

Request Body

required

application/json

productobjectrequired
original_namestring
Example: Updated Product Name
original_descriptionstring
Example: Updated product description
brandstring
Example: Dell
gtinstring
Example: 1234567890123
digital_productboolean
requires_ai_digestboolean
Example: true
nameobject
enstring
frstring
esstring
descriptionobject
enstring
frstring
esstring
categoriesarray [integer]
Product category IDs. Pass an empty array to clear all categories.
Example: [3]
image_urlsarray [string]
Array of image URLs. Accepts URLs from the upload endpoint (pending uploads) and existing product image URLs. Pending uploads are moved to permanent storage. Existing images not included in the array are deleted. Use to reorder, add, or remove images. Pass an empty array to clear all images. Maximum 10 images.
Example: ["https://storage.revclic.dev/products/123/abc123.jpg","https://storage.revclic.dev/uploads/3/def456.jpg"]

Responses

200 Product updated successfully
application/json
statusstring
Example: success
dataobject
401 Not authenticated or insufficient permissions
application/json
Example:
{
  "status": "error",
  "message": "Not authenticated or insufficient permissions"
}
404 Product not found
application/json
Example:
{
  "status": "error",
  "message": "Product not found"
}
422 Validation error
application/json